#pragma once

#include <utils.h>
class TiXmlElement;

class Serializable
{
public:
	virtual void LoadFromXml(TiXmlElement *currentElement) = 0;
	void CreateElementAndSave(TiXmlElement *parentElement, string name);

	Serializable(void) {}
	~Serializable(void) {}

private:
	virtual void SaveToXml(TiXmlElement *currentElement) = 0;
};