#pragma once

#include <utils.h>


class WindowMapping
{
public:

	void SetWorldWindow(float top, float right, float left, float bottom);
	void SetPhysicalWindow(float top, float right, float left, float bottom);

	//translates from physical window to world coordinates.
	void GetWorldCoordinates(float &x, float &y);

	~WindowMapping(void);
	WindowMapping(void);
	float GetSpaceWidth();
	float GetSpaceHeight();

private:
	
	RECTFLOAT spaceWindow;		
	RECTFLOAT bitmapWindow;

	float m_bitmapWidth, m_bitmapHeight, m_windowWidth, m_windowHeight;
};